=== data/hazardsymbols/CMakeLists.txt ===

install( FILES hazard_C.png hazard_E.png hazard_F.png hazard_N.png hazard_O.png hazard_T.png hazard_X.png  DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/hazardsymbols )
