=== data/iconsets/CMakeLists.txt ===
add_subdirectory(school)
