=== debian/changelog ===
kalzium (4:25.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.24
    - bump Qt packages to 6.6.2
    - bump KF packages to 6.7.0
    - explicitly add qt6-declarative-dev
  * Update the patches:
    - no_install_rpath_use_link_path.diff: refresh
  * Stop passing -DQT_MAJOR_VERSION=6 to cmake, as kalzium is Qt 6 only since
    version 25.08.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.
  * Remove an obsolete maintscript entry.
  * Add libavogadro-dev back as build dependency to enable the molecular editor,
    as since version 1.100.0-1 avogadro-libs is built as Qt 6
    - update install files accordingly
    - update lintian overrides

 -- Pino Toscano <pino@debian.org>  Mon, 06 Oct 2025 13:41:30 +0200
