=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Sune Vuorela <sune@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               chemical-mime-data,
               cmake (>= 3.24~),
               extra-cmake-modules (>= 6.7.0~),
               gettext,
               libavogadro-dev (>= 1.100.0-1~),
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libkf6archive-dev (>= 6.7.0~),
               libkf6config-dev (>= 6.7.0~),
               libkf6configwidgets-dev (>= 6.7.0~),
               libkf6coreaddons-dev (>= 6.7.0~),
               libkf6crash-dev (>= 6.7.0~),
               libkf6doctools-dev (>= 6.7.0~),
               libkf6i18n-dev (>= 6.7.0~),
               libkf6itemviews-dev (>= 6.7.0~),
               libkf6kio-dev (>= 6.7.0~),
               libkf6newstuff-dev (>= 6.7.0~),
               libkf6plotting-dev (>= 6.7.0~),
               libkf6textwidgets-dev (>= 6.7.0~),
               libkf6unitconversion-dev (>= 6.7.0~),
               libkf6widgetsaddons-dev (>= 6.7.0~),
               libkf6xmlgui-dev (>= 6.7.0~),
               libopenbabel-dev (>= 3.1.1+dfsg-4),
               libopengl-dev,
               pkgconf,
               qt6-5compat-dev (>= 6.6.2~),
               qt6-base-dev (>= 6.6.2~),
               qt6-declarative-dev (>= 6.6.2~),
               qt6-scxml-dev (>= 6.6.2~),
               qt6-svg-dev (>= 6.6.2~),
Standards-Version: 4.7.2
Homepage: https://edu.kde.org/kalzium/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kalzium
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kalzium.git

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: chemical-mime-data, khelpcenter,
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends},
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.
