=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete
