## kalzium 25.08.1+p24.04+vstable+git20250930.0511

=== debian/changelog ===
kalzium (4:25.08.1+p24.04+vstable+git20250930.0511-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 05:11:59 +0000

kalzium (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:35:29 +0000
