## kalzium 25.08.1+p24.04+vstable+git20251001.0759

=== debian/changelog ===
kalzium (4:25.08.1+p24.04+vstable+git20251001.0759-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 07:59:53 +0000
