=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kalzium)
kdoctools_create_manpage(man-kalzium.1.docbook 1 INSTALL_DESTINATION ${KDE_INSTALL_MANDIR})
