=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_install:
	dh_auto_install
	# drop development stuff
	rm -rf debian/tmp/usr/include/
	find debian/tmp -name '*.so' -type l -delete
