## kalzium 25.08.2+p24.04+vstable+git20251019.0316

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vstable+git20251019.0316-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:16:32 +0000

kalzium (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:22:42 +0000
