## kalzium 25.08.2+p24.04+vstable+git20251020.0106

=== debian/changelog ===
kalzium (4:25.08.2+p24.04+vstable+git20251020.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 01:06:40 +0000
