=== debian/control ===
Source: kalzium
Section: kde
Priority: optional
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Sune Vuorela <sune@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: chemical-mime-data,
               cmake,
               debhelper-compat (= 13),
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdoctools-dev,
               kf6-ki18n-dev,
               kf6-knewstuff-dev,
               kf6-kparts-dev,
               kf6-kplotting-dev,
               kf6-kunitconversion-dev,
               kf6-kwidgetsaddons-dev,
               kf6-solid-dev,
               libavogadro-dev,
               libeigen3-dev (>> 2.0.3),
               libfacile-ocaml-dev,
               libopenbabel-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-scxml-dev,
               qt6-svg-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://edu.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kalzium.git
Vcs-Browser: https://invent.kde.org/neon/kde/kalzium
Maintainer: Neon CI <neon@kde.org>

Package: kalzium
Architecture: any
Section: science
Depends: kalzium-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: chemical-mime-data, khelpcenter
Description: periodic table and chemistry tools
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.

Package: kalzium-data
Architecture: all
Section: science
Depends: ${misc:Depends}
Description: data files for Kalzium
 This package contains architecture-independent data files for Kalzium, the
 KDE periodic table application.
 .
 This package is part of the KDE education module.

Package: kalzium-dev
Architecture: any
Section: science
Depends: kalzium (>= ${source:Version}),
         kalzium-data (>= ${source:Version}),
         ${misc:Depends}
Description: dev files for Kalzium
 Kalzium is a full-featured chemistry application, including a
 Periodic Table of Elements, chemical reference, chemical equation solver, and
 3D molecule viewer.
 .
 This package is part of the KDE education module.
