## kalzium 25.08.3

=== data/htmlview/CMakeLists.txt ===
file(GLOB HTMLVIEW_ICONS "*.png")

install( FILES
   ${HTMLVIEW_ICONS}
   icons.svg
   DESTINATION  ${KDE_INSTALL_DATADIR}/kalzium/data/htmlview )
