## kalzium 25.08.3+p24.04+vunstable+git20251202.1037

=== debian/changelog ===
kalzium (4:25.08.3+p24.04+vunstable+git20251202.1037-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 10:37:06 +0000
