## kalzium 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "70")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kalzium VERSION ${RELEASE_SERVICE_VERSION})
@@ -58,7 +58,7 @@
 if(HAVE_OPENBABEL2 OR HAVE_OPENBABEL3)
     set(HAVE_OPENBABEL 1)
 endif()
-set(HAVE_EIGEN ${EIGEN3_FOUND})
+set(HAVE_EIGEN ${Eigen3_FOUND})
 set(HAVE_AVOGADRO ${AvogadroLibs_FOUND})
 
 if(HAVE_OPENBABEL3)
@@ -123,7 +123,7 @@
 )
 
 
-if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND EIGEN3_FOUND)
+if (HAVE_OPENBABEL AND AvogadroLibs_FOUND AND Eigen3_FOUND)
   find_package(Qt6OpenGL ${QT_MIN_VERSION} REQUIRED)
   find_package(KF6NewStuff ${KF_MIN_VERSION} REQUIRED)
   # avoid compilerwarnings about redefinitions
