## kalzium 25.12.1+p24.04+vstable+git20260128.0258

=== debian/changelog ===
kalzium (4:25.12.1+p24.04+vstable+git20260128.0258-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 02:58:29 +0000
