## kalzium 25.12.1+p24.04+vstable+git20260130.1013

=== debian/changelog ===
kalzium (4:25.12.1+p24.04+vstable+git20260130.1013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:13:40 +0000
