=== debian/changelog ===
kalzium (4:25.12.2+p24.04+vunstable+git20260206.0914-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 09:14:53 +0000

kalzium (4:25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 05:08:48 +0000
